Eclipse Platform Release 3.7

## org.eclipse.core.runtime.model
Class ConfigurationPropertyModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.ConfigurationPropertyModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

    public class ConfigurationPropertyModel

extends PluginModelObject

An object which represents the user-defined properties in a configuration element of a plug-in manifest. Properties are `String` -based key/value pairs.

This class may be instantiated, or further subclassed.

Constructor Summary
`ConfigurationPropertyModel()` Deprecated. Creates a new configuration property model in which all fields are `null`.

Method Summary
`String` `getValue()` Deprecated. Returns the value of this property.
`void` `setLocalizedValue(String value)` Deprecated. Optimization to replace a non-localized key with its localized value.
`void` `setValue(String value)` Deprecated. Sets the value of this property.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, markReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationPropertyModel

    public ConfigurationPropertyModel()

  Deprecated.
  Creates a new configuration property model in which all fields are `null`.

Method Detail

### getValue

    public String getValue()

  Deprecated.
  Returns the value of this property.

  Returns:
    the value of this property or `null`

### setLocalizedValue

    public void setLocalizedValue(String value)

  Deprecated.
  Optimization to replace a non-localized key with its localized value. Avoids having to access resource bundles for further lookups.

  Parameters:
    `value` - the localized value of this model object

### setValue

    public void setValue(String value)

  Deprecated.
  Sets the value of this property. This object must not be read-only.

  Parameters:
    `value` - the new value of this property. May be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.